## polkit-action polkit-action — List and modify registered PolicyKit actions |

## Synopsis

`polkit-action` [`--action `action``] [`--reset-defaults `action``] [`--show-overrides`] [`--set-defaults-any `action` `value``] [`--set-defaults-inactive `action` `value``] [`--set-defaults-active `action` `value``] [`--version`] [`--help`]

## DESCRIPTION

polkit-action is used to list and modify the PolicyKit actions that are registered on the system.

## OPTIONS

`--action `action`` | Show detailed information about a specific action.
`--reset-defaults `action`` | Reset the defaults for the specified action to the factory defaults. The authorization needed to do this is org.freedesktop.policykit.modify-defaults.
`--show-overrides` | Prints all actions for where the defaults are overridden.
`--set-defaults-any `action` `value`` | Override the any stanza for the given action with the supplied value. The authorization needed to do this is org.freedesktop.policykit.modify-defaults. Valid values for value are no, auth_admin_one_shot, auth_admin, auth_admin_keep_session, auth_admin_keep_always, auth_self_one_shot, auth_self, auth_self_keep_session, auth_self_keep_always, and yes.
`--set-defaults-inactive `action` `value`` | Override the inactive stanza for the given action with the supplied value. The authorization needed to do this is org.freedesktop.policykit.modify-defaults. Valid values for value are no, auth_admin_one_shot, auth_admin, auth_admin_keep_session, auth_admin_keep_always, auth_self_one_shot, auth_self, auth_self_keep_session, auth_self_keep_always, and yes.
`--set-defaults-active `action` `value`` | Override the active stanza for the given action with the supplied value. The authorization needed to do this is org.freedesktop.policykit.modify-defaults. Valid values for value are no, auth_admin_one_shot, auth_admin, auth_admin_keep_session, auth_admin_keep_always, auth_self_one_shot, auth_self, auth_self_keep_session, auth_self_keep_always, and yes.
`--version` | Show version and exit.
`--help` | Show usage information and exit.

## COMPLETION

PolicyKit ships with a collection of shell functions such that completion on options, action and value works when using the bash(1) shell.

## BUGS

Please send bug reports to either the distribution or the hal mailing list, see http://lists.freedesktop.org/mailman/listinfo/hal. to subscribe.

## SEE ALSO

PolicyKit(8), PolicyKit.conf(5), polkit-auth(1)